import { VcSpPoint, VcSpSelectItemKey } from '../../types';
export declare function _genPath(points: VcSpPoint[], radius: number, fill?: boolean, height?: number): string;
export declare function int(value: string | number): number;
export declare function checkCollinear(p0: VcSpPoint, p1: VcSpPoint, p2: VcSpPoint): boolean;
export declare function getDistance(p1: VcSpPoint, p2: VcSpPoint): number;
export declare function moveTo(to: VcSpPoint, from: VcSpPoint, radius: number): {
    x: number;
    y: number;
};
export declare function getPropertyFromItem(item: any, property: VcSpSelectItemKey, fallback?: any): any;
export declare function getObjectValueByPath(obj: any, path?: string | null, fallback?: any): any;
export declare function getNestedValue(obj: any, path: (string | number)[], fallback?: any): any;
